org.apache.jmeter.report.processor.graph

## Class GroupData

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.GroupData

-     public class GroupData
      extends java.lang.Object

  The class GroupData helps to store group data for a graph.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupData(AggregatorFactory factory, boolean hasOverall, boolean hasAggregatedKey)` Instantiates a new group groupData.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `SeriesData` | `getOverallSeries()` Gets the overall series data
    `java.util.HashMap<java.lang.String,SeriesData>` | `getSeriesInfo()` Gets the series data map.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupData

          public GroupData(AggregatorFactory factory,
                           boolean hasOverall,
                           boolean hasAggregatedKey)

      Instantiates a new group groupData.
      Parameters:
        `factory` - the factory
        `hasOverall` - the status defining if the group has an overall seriesData
        `hasAggregatedKey` - the status defining if the group aggregates keys

  - ### Method Detail

    - #### getSeriesInfo

          public final java.util.HashMap<java.lang.String,SeriesData> getSeriesInfo()

      Gets the series data map.
      Returns:
        the series data map

    - #### getOverallSeries

          public final SeriesData getOverallSeries()

      Gets the overall series data
      Returns:
        the overall series data

    - #### clear

          public void clear()

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.